%global _empty_manifest_terminate_build 0

Summary:        Sphinx SVG to PDF converter extension
Name:           python-sphinxcontrib-svg2pdfconverter
Version:        1.2.2
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/missinglinkelectronics/sphinxcontrib-svg2pdfconverter
Source0:        https://files.pythonhosted.org/packages/source/s/sphinxcontrib-svg2pdfconverter/sphinxcontrib-svg2pdfconverter-%{version}.tar.gz


%description
This extension converts SVG images to PDF in case the builder does not support SVG images natively (e.g. LaTeX).
Internally, either Inkscape, rsvg-convert from libRSVG or CairoSVG as progressively more lightweight alternatives are used to convert images.

%package -n python3-sphinxcontrib-svg2pdfconverter
Summary:        Sphinx SVG to PDF converter extension
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pbr python3-pip python3-wheel
BuildRequires:  python3-sphinx

Provides:       python-sphinxcontrib-svg2pdfconverter = %{version}-%{release}

%description -n python3-sphinxcontrib-svg2pdfconverter
This extension converts SVG images to PDF in case the builder does not support SVG images natively (e.g. LaTeX).
Internally, either Inkscape, rsvg-convert from libRSVG or CairoSVG as progressively more lightweight alternatives are used to convert images.

%prep
%autosetup -n sphinxcontrib-svg2pdfconverter-%{version}

%build
%py3_build

%install
%py3_install


%files -n python3-sphinxcontrib-svg2pdfconverter
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.2.2-2
- rebuild

* Mon Apr 17 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.2.2-1
- initial build
